Subject: RE: [Simple] IM: A session or not

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 4 Apr 2001 01:38:23 -0400

> -----Original Message-----
> From: Henning G. Schulzrinne [mailto:[email-masked]]
> Sent: Monday, April 02, 2001 10:36 PM
> To: Jonathan Rosenberg
> Cc: [email-masked]; 'Christian Huitema'; Rohan Mahy;
> [email-masked]
> Subject: Re: [Simple] IM: A session or not
> 
> 
> Jonathan Rosenberg wrote:
> > 
> 
> > >
> > > This is basically one or more MESSAGE within the call-id/call-leg
> > > context of an INVITE. Or am I missing something here?
> > 
> > No, thats exactly it. The question is how (and if!) the SDP 
> can convey that
> > "you should send the MESSAGE in the sip signaling path, not 
> directly". One
> > could argue that a client can always send the MESSAGE 
> through the proxy
> > network; do we actually need a way for the called party, 
> for example, to
> > tell the caller that they have to use the proxy network?
> 
> It would seem to be sufficient to deduce that if there's no entry for
> m=message in the caller/callee SDP and either feels the urge to send a
> message, it can do this. Obviously, either side can also 
> re-INVITE if it
> wants to add a streaming message media session, rather than a
> proxy-routed message. 

The case I am thinking about is where A invites B to a messaging session. A
wishes to receive messages, and wants them to come over the SIP proxy chain.
With your proposal, A would not indicate a message session at all in its
SDP. I think its useful for A to be able to signal to B that it would like
to start a messaging session, yet have the messages delivered over the proxy
network.

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 04 Apr 2001 09:17:28 -0400

> to start a messaging session, yet have the messages delivered over the proxy

If I understand you correctly, you want to be able to start a
messaging-only session using proxy delivery (I'm not sure I like the
term "proxy-based", given that this applies also to direct, normal SIP
delivery, without a proxy server in the middle, using Contact-based
delivery).

I'm assuming that a regular session with other media would allow
messages at any time, assuming the parties indicate their ability to
receive messages using the "Allow" header.

It would be nice, it seems, to avoid complicated negotiated mechanisms
if the basic capability indication is good enough. After all, messages
are meant to be spontaneous and the base assumption should be that most
systems will be able to receive at least plain-text messages. (Given the
success of SMS and the simplicity of adding MESSAGE, it would seem silly
for a vendor not to do that.)

Does SMS have an explicit negotiation mode?

---

From: Michael Hammer <[email-masked]>
Date: Wed, 04 Apr 2001 10:47:28 -0400

From what I have seen of SMS (at least in ANSI-41) it is a connectionless 
service.  By definition, there is no setup phase of this communication, it 
is fire and forget, like email, therefore no negotiation is involved.  It 
would seem that to have an SMS-like service here, the "MESSAGE" should be 
sent and routed like an INVITE, end of story, no 200 OK, no ACK.  Anything 
more and you are defining a connection-oriented service.

Mike

At 09:17 AM 4/4/2001 -0400, Henning Schulzrinne wrote:
>_______________________________________________
>simple mailing list
>http://mailman.dynamicsoft.com/mailman/listinfo/simple